Package be.fgov.ehealth.certra.protocol.v2

# Class GenerateContractRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GenerateContractRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GenerateContractRequest extends RequestType implements Serializable
Request for obtaining a customized eHealth contract for requesting an eHealth certificate and encryption token.

Java class for GenerateContractRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateContractRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
             <element name="Signer" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="CertificateIdentifier" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateIdentifierType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateContractRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateIdentifierType`
  `getCertificateIdentifier()`
  The identifier of the certificate for which this contract is being generated.
  `ContactDataType`
  `getContactData()`
  The contact data of the person(s) that are responsible for this eHealth certificate and ETK.
  `ActorType`
  `getSigner()`
  The identifying information of the person that is going to digitally sign the CSR contract with his eID.
  `void`
  `setCertificateIdentifier(CertificateIdentifierType value)`
  Sets the value of the certificateIdentifier property.
  `void`
  `setContactData(ContactDataType value)`
  Sets the value of the contactData property.
  `void`
  `setSigner(ActorType value)`
  Sets the value of the signer property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateContractRequest

    public GenerateContractRequest()

- ## Method Details

  - ### getContactData

    public ContactDataType getContactData()
    The contact data of the person(s) that are responsible for this eHealth certificate and ETK.
    Returns:
      possible object is `ContactDataType`

  - ### setContactData

    public void setContactData(ContactDataType value)
    Sets the value of the contactData property.
    Parameters:
      `value` - allowed object is `ContactDataType`
    See Also:
      - `getContactData()`

  - ### getSigner

    public ActorType getSigner()
    The identifying information of the person that is going to digitally sign the CSR contract with his eID. The SignerPersons's name and SSIN must exactly match the ones of his eID for the contract to be valid.
    Returns:
      possible object is `ActorType`

  - ### setSigner

    public void setSigner(ActorType value)
    Sets the value of the signer property.
    Parameters:
      `value` - allowed object is `ActorType`
    See Also:
      - `getSigner()`

  - ### getCertificateIdentifier

    public CertificateIdentifierType getCertificateIdentifier()
    The identifier of the certificate for which this contract is being generated. In case of a natural person the actor mentioned here must be the same as the actor in the Signer element.
    Returns:
      possible object is `CertificateIdentifierType`

  - ### setCertificateIdentifier

    public void setCertificateIdentifier(CertificateIdentifierType value)
    Sets the value of the certificateIdentifier property.
    Parameters:
      `value` - allowed object is `CertificateIdentifierType`
    See Also:
      - `getCertificateIdentifier()`